Subject: Re: [tcpm] I-D Action: draft-ietf-tcpm-accurate-ecn-14.txt

From: Bob Briscoe <[email-masked]>
Date: Thu, 4 Mar 2021 13:24:09 +0000

tcpm,

We posted rev -14 of this draft last Monday. Here's a summary of the 
diffs, with the subject line of the relevant ML thread and main people 
contributing (for which, as always, many thanks):

* ["Possible error in accurate-ecn" Yoshi - discussion ongoing with 
co-authors]
     In the 2 rules for when CE marks trigger an ACK (S.3.2.2.5.1.):
       o count CE-marks on all types of packet (not just data packets), 
but still only trigger an ACK with a CE-marked data packet
       o 'n' CE marks still trigger and ACK, but limited choice of 'n' 
between 2-6, not 1-6
* ["AccECN field order" Michael Scharf]
     Clarified that remaining bytes in the AccECN TCP Option (S.3.2.3) 
should be treated as if padding
     Noted potential covert channel in Security Considerations.
* ["AccECN field order" Michael Scharf, Neal, Joe, Vidhi, Lars]
     No change (S.3.2.3): Left the two field orders of the AccECN TCP 
Option keyed on two option kinds.
     Rationale: Always need to be frugal even if option codes are not 
currently scarce, but simplicity is also important.
* ["Coming back to my comments on AccECN wrt ACK Filtering" Gorry]
     Clarified ACK filtering text (S.3.3.3) and corrected summary of 
RFC3449.

Bob

On 22/02/2021 23:53, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the TCP Maintenance and Minor Extensions WG of the IETF.
>
>          Title           : More Accurate ECN Feedback in TCP
>          Authors         : Bob Briscoe
>                            Mirja Kühlewind
>                            Richard Scheffenegger
> 	Filename        : draft-ietf-tcpm-accurate-ecn-14.txt
> 	Pages           : 59
> 	Date            : 2021-02-22
>
> Abstract:
>     Explicit Congestion Notification (ECN) is a mechanism where network
>     nodes can mark IP packets instead of dropping them to indicate
>     incipient congestion to the end-points.  Receivers with an ECN-
>     capable transport protocol feed back this information to the sender.
>     ECN is specified for TCP in such a way that only one feedback signal
>     can be transmitted per Round-Trip Time (RTT).  Recent new TCP
>     mechanisms like Congestion Exposure (ConEx), Data Center TCP (DCTCP)
>     or Low Latency Low Loss Scalable Throughput (L4S) need more accurate
>     ECN feedback information whenever more than one marking is received
>     in one RTT.  This document specifies a scheme to provide more than
>     one feedback signal per RTT in the TCP header.  Given TCP header
>     space is scarce, it allocates a reserved header bit, that was
>     previously used for the ECN-Nonce which has now been declared
>     historic.  It also overloads the two existing ECN flags in the TCP
>     header.  The resulting extra space is exploited to feed back the IP-
>     ECN field received during the 3-way handshake as well.  Supplementary
>     feedback information can optionally be provided in a new TCP option,
>     which is never used on the TCP SYN.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-tcpm-accurate-ecn/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-tcpm-accurate-ecn-14
> https://datatracker.ietf.org/doc/html/draft-ietf-tcpm-accurate-ecn-14
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-tcpm-accurate-ecn-14
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
>
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

-- 
________________________________________________________________
Bob Briscoehttp://bobbriscoe.net/